framework:
    messenger:
        # Toutes les opérations sont synchrones — pas de worker nécessaire (compatible O2switch).
        transports:
            sync:
                dsn: 'sync://'

        buses:
            # Bus d'écriture : enveloppe chaque handler dans une transaction Doctrine.
            command.bus:
                middleware:
                    - doctrine_transaction

            # Bus de lecture : pas de transaction nécessaire.
            query.bus:
                middleware: []

        routing: {}
